
%define distro RedHat

Name: libfwbuilder
Summary: Firewall Builder API
Packager: Vadim Kurland <vadim@vk.crocodile.org>
Url: http://www.fwbuilder.org/
Version: 0.10.7
Release: 1rh72
Copyright: GPL
Group:  System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libfwbuilder/%{name}-%{version}.tar.gz
BuildRoot: /tmp/libfwbuilder-buildroot
%if "%{distro}" == "RedHat"
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel
%endif
%if "%{distro}" == "SuSE"
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel
%endif
%if "%{distro}" == "Mandrake"
BuildRequires: libxslt1-devel
BuildRequires: libxml2-devel
%endif
Obsoletes: fwbuilder-devel
Docdir:   /usr/share/doc

%description -n libfwbuilder
Firewall Builder API library and compiler framework

%prep

%setup 

%build
%configure --enable-auto-docdir --with-templatedir=/usr/share/libfwbuilder
make -j `cat /proc/cpuinfo | egrep '^processor|^CPU' | wc -l` all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/PatchAcceptancePolicy.txt
/usr/share/libfwbuilder/*
/usr/lib/libfwbuilder.so.*
/usr/lib/libfwcompiler.so.*
/usr/lib/libfwbd.so.*




%package -n libfwbuilder-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Libraries
Provides:  libfwbuilder-devel
Requires:  libfwbuilder = %{version}
Obsoletes: fwbuilder-devel

%description -n libfwbuilder-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.


%files  -n libfwbuilder-devel
%defattr(-, root, root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/PatchAcceptancePolicy.txt doc/classref
/usr/bin/libfwbuilder-config
/usr/include/fwbuilder
/usr/include/fwcompiler
/usr/include/fwbd
/usr/lib/*.la
/usr/lib/*.a
/usr/lib/*.so


